"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateProviderConfigInputs = void 0;
const constants_1 = require("../constants");
function isValidPlatform(platform) {
    return constants_1.supportedPlatforms.includes(platform);
}
function isValidApiType(platformApiType) {
    return constants_1.supportedPlatformApiTypes.includes(platformApiType);
}
function validateProviderConfigInputs({ platform, platformApiType, }) {
    if (!isValidPlatform(platform))
        throw new Error('Unsupported platform provided to CartProvider.');
    if (!isValidApiType(platformApiType))
        throw new Error('Unsupported platformApiType provided to CartProvider.');
    //TODO: remove when graphql support gets implemented for BigCommerce
    if (platform === 'big_commerce' && platformApiType === 'graphql')
        throw new Error('The BigCommerce checkout only supports the REST API.');
}
exports.validateProviderConfigInputs = validateProviderConfigInputs;
