"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkouts = void 0;
const constants_1 = require("../constants");
/**
 * Shopify API Factories
 */
const create_checkout_1 = require("./platforms/shopify/storefront-api/create-checkout");
const create_checkout_2 = require("./platforms/shopify/ajax-api/create-checkout");
/**
 * BigCommerce API Factories
 */
const create_checkout_3 = require("./platforms/big-commerce/management-api/create-checkout");
const checkouts = {
    shopify: {
        [constants_1.graphqlApiType]: create_checkout_1.createShopifyStorefrontCheckout,
        [constants_1.restApiType]: create_checkout_2.createShopifyAjaxCheckout,
    },
    // eslint-disable-next-line @typescript-eslint/camelcase
    big_commerce: {
        [constants_1.restApiType]: create_checkout_3.createBigCommerceManagementApiCheckout,
        [constants_1.managementApiType]: create_checkout_3.createBigCommerceManagementApiCheckout,
    },
};
exports.checkouts = checkouts;
