"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConsignmentsPath = exports.getItemPath = exports.getCartPath = exports.getCartsPath = exports.getCheckoutPath = exports.api = exports.getCookieValue = void 0;
const tslib_1 = require("tslib");
const getCookieValue = (name) => { var _a; 
// eslint-disable-next-line @typescript-eslint/prefer-regexp-exec
return ((_a = document.cookie.match('(^|;)\\s*' + name + '\\s*=\\s*([^;]+)')) === null || _a === void 0 ? void 0 : _a.pop()) || ''; };
exports.getCookieValue = getCookieValue;
const getDataFromResponse = (response) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    if (!response.ok) {
        return {
            status: response.status,
        };
    }
    const text = yield response.text();
    try {
        const json = JSON.parse(text);
        return json.data;
    }
    catch (e) {
        return text;
    }
});
const fetcher = (method) => (url, body) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const response = yield fetch(url, {
        method,
        headers: {
            Accept: 'application/json',
            'Content-Type': 'application/json',
        },
        body: JSON.stringify(body),
    });
    // eslint-disable-next-line no-restricted-syntax
    return getDataFromResponse(response);
});
exports.api = {
    get: fetcher('GET'),
    post: fetcher('POST'),
    put: fetcher('PUT'),
    delete: fetcher('DELETE'),
};
const checkoutQuery = '?include=cart.line_items.physical_items.options,cart.line_items.digital_items.options,consignments.available_shipping_options';
const getCheckoutPath = (cartId) => `/v3/checkouts/${cartId}${checkoutQuery}`;
exports.getCheckoutPath = getCheckoutPath;
const getCartsPath = (cartId) => cartId ? `/v3/carts/${cartId}/items?include=redirect_urls` : '/v3/carts?include=redirect_urls';
exports.getCartsPath = getCartsPath;
const getCartPath = (cartId) => cartId ? `/v3/carts/${cartId}?include=redirect_urls` : '/v3/carts?include=redirect_urls';
exports.getCartPath = getCartPath;
const getItemPath = (cartId, itemId) => `/v3/carts/${cartId}/items/${itemId}?include=redirect_urls`;
exports.getItemPath = getItemPath;
const getConsignmentsPath = (cartId, consignmentId) => consignmentId
    ? `/v3/checkouts/${cartId}/consignments/${consignmentId}${checkoutQuery}`
    : `/v3/checkouts/${cartId}/consignments${checkoutQuery}`;
exports.getConsignmentsPath = getConsignmentsPath;
