import { BigCommerceStoreConfig, Platform, Item, ItemId, Cart } from '../../../../types';
import { BigCommerceSDKAddShippingAddressProps, BigCommerceSDKUpdateShippingAddressProps } from './types';
declare class BigCommerceManagementApiPlatform implements Platform {
    private readonly storeName;
    private readonly cartKey;
    private cartId;
    constructor(config: BigCommerceStoreConfig);
    private setCartId;
    updateCustomerIdInCart(): Promise<void>;
    private getCheckout;
    getCart(): Promise<Cart>;
    addItemsToCart(items: Item[]): Promise<Cart>;
    updateItemsInCart(items: Item[]): Promise<Cart>;
    removeItemsFromCart(itemIds: ItemId[]): Promise<Cart>;
    addShippingAddress(props: BigCommerceSDKAddShippingAddressProps): Promise<Cart>;
    updateShippingAddress(props: BigCommerceSDKUpdateShippingAddressProps): Promise<Cart>;
    getProductTrackingData(item: Item): {
        id: any;
        quantity: number;
        brand: string;
        variantId: any;
        name: any;
        price: any;
    };
    getItemIdInPlatformSpecificFormat(itemId: ItemId): number;
}
export { BigCommerceManagementApiPlatform };
