"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapLineItem = void 0;
/**
 * Maps a frontend-checkout Item into a BigCommerce Line Item
 * to be used by the REST API.
 *
 * @param {Item} item
 * @returns {BigCommerceAPILineItem}
 */
const mapLineItem = (item) => {
    var _a;
    return ({
        id: item['lineItemId'],
        product_id: item.id,
        variant_id: item.variantId,
        quantity: item.quantity,
        option_selections: (_a = item.optionSelections) === null || _a === void 0 ? void 0 : _a.map(({ optionId, optionValue }) => ({
            option_id: optionId,
            option_value: optionValue,
        })),
    });
};
exports.mapLineItem = mapLineItem;
