"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getVariantsPath = exports.getProductsPath = exports.CHANGE_ITEM_PATH = exports.UPDATE_ITEMS_PATH = exports.ADD_ITEMS_PATH = exports.GET_CART_PATH = exports.api = void 0;
const tslib_1 = require("tslib");
const checkout_error_1 = require("../../../../utils/checkout-error");
function getDataFromResponse(response) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        let data;
        try {
            data = yield response.json();
        }
        catch (e) {
            throw new checkout_error_1.CheckoutError(`Cart action failed: ${response.statusText} (${response.status})`, e);
        }
        if (response.ok)
            return data;
        throw data;
    });
}
exports.api = {
    get: (url) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        const response = yield fetch(url);
        return getDataFromResponse(response);
    }),
    post: (url, body) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        const response = yield fetch(url, {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
            },
            body: JSON.stringify(body),
        });
        return getDataFromResponse(response);
    }),
};
exports.GET_CART_PATH = '/cart.js';
exports.ADD_ITEMS_PATH = '/cart/add.js';
exports.UPDATE_ITEMS_PATH = '/cart/update.js';
exports.CHANGE_ITEM_PATH = '/cart/change.js';
const PRODUCTS_PATH = '/products';
const getProductsPath = (handle) => `${PRODUCTS_PATH}/${handle}.js`;
exports.getProductsPath = getProductsPath;
const VARIANTS_PATH = '/variants';
const getVariantsPath = (variantId) => `${VARIANTS_PATH}/${variantId}.js`;
exports.getVariantsPath = getVariantsPath;
