"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createShopifyAjaxCheckout = void 0;
const _1 = require(".");
const checkout_1 = require("../../../checkout");
const types_1 = require("../../../../types");
function createShopifyAjaxCheckout(config) {
    if (!types_1.isShopifyStoreConfig(config))
        throw new Error('Invalid Store Configuration for Shopify.');
    const storeDomain = config.storeDomain !== undefined ? config.storeDomain : '';
    const storeName = config.storeName !== undefined ? config.storeName : '';
    const shopifyAjaxPlatform = new _1.ShopifyAjaxPlatform({ storeDomain }, { storeName });
    return new checkout_1.Checkout({
        platform: shopifyAjaxPlatform,
    });
}
exports.createShopifyAjaxCheckout = createShopifyAjaxCheckout;
