"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateItemQuantity = exports.validateItemsWithIds = exports.validateItem = exports.validateIds = exports.validateHandle = exports.validateId = void 0;
function isValidId(id) {
    return typeof id === 'number';
}
function isValidHandle(id) {
    return typeof id === 'string';
}
function validateId(id) {
    if (!isValidId(id))
        throw new Error('"id" is not type of number.');
}
exports.validateId = validateId;
function validateHandle(handle) {
    if (!isValidHandle(handle))
        throw new Error('"handle" is not type of string.');
}
exports.validateHandle = validateHandle;
function validateIds(ids) {
    for (const itemId of ids) {
        if (!isValidId(itemId))
            throw new Error('All items should have property "id" of type number.');
    }
}
exports.validateIds = validateIds;
function validateItem(item) {
    if (!item)
        throw new Error('Please provide item.');
    if (!item.id && typeof item.line !== 'number')
        throw new Error('Please provide valid item.');
}
exports.validateItem = validateItem;
function validateItemsWithIds(items) {
    for (const item of items) {
        if (!item.id)
            throw new Error('Please provide "id" property to every item.');
        if (!isValidId(item.id))
            throw new Error('All items should have property "id" of type number.');
        validateItemQuantity(item);
    }
}
exports.validateItemsWithIds = validateItemsWithIds;
function validateItemQuantity(item) {
    if (typeof item.quantity !== 'number')
        throw new Error('"quantity" is not type of number.');
}
exports.validateItemQuantity = validateItemQuantity;
