import { Client } from './client';
import { ShopifyStorefrontProduct, ShopifyStorefrontLineItem, ShopifyStorefrontProductVariant, ShopifyStorefrontProductVariantWithProduct, ShopifyStorefrontCartType } from '../types';
import { ProductGraphQlType, CartGraphQlType, CartLineGraphQlType, ProductVariantGraphQlType, ProductVariantWithProductGraphQlType } from './types';
export declare function mapProductGraphQlTypeToProduct(product: ProductGraphQlType, client: Client): Promise<ShopifyStorefrontProduct>;
export declare function mapCartGraphQlTypeToShopifyStorefrontCart(cart: CartGraphQlType | null, client: Client): Promise<ShopifyStorefrontCartType>;
export declare function mapCheckoutLineItemGraphQlTypeToShopifyStorefrontLineItem(line: CartLineGraphQlType, client: Client): Promise<ShopifyStorefrontLineItem>;
export declare function mapProductVariantGraphQlTypeToShopifyStorefrontProductVariant(productVariant: ProductVariantGraphQlType, client: Client): Promise<ShopifyStorefrontProductVariant>;
export declare function mapProductVariantWithProductGraphQlTypeToShopifyStorefrontProductVariantWithProduct(productVariant: ProductVariantWithProductGraphQlType, client: Client): Promise<ShopifyStorefrontProductVariantWithProduct>;
export declare function parseCheckoutUrl(checkoutUrl: string, client: Client): string;
