"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleFetch = void 0;
const tslib_1 = require("tslib");
/* eslint-disable @typescript-eslint/strict-boolean-expressions */
/* eslint-disable eqeqeq */
function handleFetch(url, options = {}) {
    return new Promise((resolve, reject) => {
        fetch(url, options).then((res) => tslib_1.__awaiter(this, void 0, void 0, function* () {
            try {
                if (!res.ok) {
                    return reject(new Error(res.statusText));
                }
                const { data, errors } = yield res.json();
                if (data != null) {
                    return resolve(data);
                }
                if (errors === null || errors === void 0 ? void 0 : errors.length) {
                    return reject(new Error(JSON.stringify(errors)));
                }
                return reject(new Error('The request failed with an unknown error'));
            }
            catch (error) {
                reject(error);
            }
        }), (error) => reject(error));
    });
}
exports.handleFetch = handleFetch;
