"use strict";
/* eslint-disable @typescript-eslint/no-explicit-any */
/* eslint-disable unicorn/no-array-reduce */
/* eslint-disable eqeqeq */
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchAllNodesForConnection = exports.fetchAllPagesForConnection = void 0;
const tslib_1 = require("tslib");
function fetchAllPagesForConnection(connection, fetchPage) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const pages = [connection];
        let currentPage = connection;
        if (!currentPage.pageInfo.hasNextPage) {
            return pages;
        }
        while (currentPage.pageInfo.hasNextPage) {
            const lastEdge = currentPage.edges[currentPage.edges.length - 1];
            if (lastEdge == null)
                break;
            const nextPage = yield fetchPage(lastEdge.cursor);
            if (nextPage == null)
                break;
            pages.push(nextPage);
            currentPage = nextPage;
        }
        return pages;
    });
}
exports.fetchAllPagesForConnection = fetchAllPagesForConnection;
function fetchAllNodesForConnection(connection, fetchPage) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const allPages = yield fetchAllPagesForConnection(connection, fetchPage);
        const allNodes = allPages.map((page) => page.edges.map(({ node }) => node)).reduce((a, b) => a.concat(b), []);
        return allNodes;
    });
}
exports.fetchAllNodesForConnection = fetchAllNodesForConnection;
