"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapCart = void 0;
function mapCart(cart, config) {
    const { pathname: checkoutPathname } = new URL(cart.checkoutUrl);
    return {
        id: String(cart.id),
        items: cart.lineItems.map((lineItem) => {
            var _a, _b, _c, _d;
            return (Object.assign(Object.assign({}, lineItem), { variant_id: (_a = lineItem.variant) === null || _a === void 0 ? void 0 : _a.id, selectedCurrencyPrice: (_d = (_c = (_b = lineItem.variant) === null || _b === void 0 ? void 0 : _b.presentmentPrices) === null || _c === void 0 ? void 0 : _c.find((priceObj) => priceObj.price.currencyCode === cart.subtotalPriceV2.currencyCode)) === null || _d === void 0 ? void 0 : _d.price.amount }));
        }),
        currencyCode: cart.subtotalPriceV2.currencyCode,
        subtotalPrice: cart.subtotalPriceV2.amount,
        totalPrice: cart.totalPriceV2.amount,
        checkoutUrl: config.storeDomain ? `https://${config.storeDomain}${checkoutPathname}` : cart.checkoutUrl,
    };
}
exports.mapCart = mapCart;
