import { PlatformInventoryHelper, ItemId, InventoryHelperConfig } from '../../types';
import { BigCommerceInventory } from './types';
import { ProductType } from '../../../types';
import { ProductInventory } from '../types';
declare class BigCommerceInventoryHelper implements PlatformInventoryHelper {
    private readonly defaultProductType;
    private productIdByVariantId;
    constructor(config: InventoryHelperConfig);
    private cacheProductIds;
    private modifyProductVariantsInventoryResponse;
    private modifyProductsInventoryResponse;
    private fetchProductIdByVariantId;
    private fetchProductsChunkInventory;
    private fetchProductsChunkWithVariantsInventory;
    fetchProductsInventory(itemIds: ItemId[], productType?: ProductType): Promise<BigCommerceInventory>;
    isProductAvailableForSale(itemId: ItemId): Promise<ProductInventory['availableForSale']>;
    getProductQuantity(itemId: ItemId): Promise<ProductInventory['quantity']>;
    getProductMinOrder(itemId: ItemId): Promise<ProductInventory['minOrder']>;
    getProductMaxOrder(itemId: ItemId): Promise<ProductInventory['maxOrder']>;
    getProductPrice(itemId: ItemId): Promise<ProductInventory['price']>;
}
export { BigCommerceInventoryHelper };
