import { ProductInventory } from '../types';
declare type InventoryTracking = 'none' | 'product' | 'variant';
declare type Availability = 'available' | 'disabled' | 'preorder';
interface BigCommerceRESTCatalog {
    id: number;
    price: number;
    inventory_level: number;
    inventory_tracking: InventoryTracking;
    availability: Availability;
    order_quantity_minimum: number;
    order_quantity_maximum: number;
}
interface BigCommerceRESTCatalogWithVariants extends BigCommerceRESTCatalog {
    variants: {
        id: number;
        price?: number;
        inventory_level: number;
    }[];
}
interface BigCommerceGRAPHQLProduct {
    site: {
        product: {
            entityId: number;
            variants: {
                edges: {
                    node: {
                        entityId: number;
                    };
                }[];
            };
        };
    };
}
declare type BigCommerceInventory = Record<string, ProductInventory>;
declare type BigCommerceRESTCatalogFields = keyof BigCommerceRESTCatalog;
export { BigCommerceInventory, BigCommerceRESTCatalog, BigCommerceRESTCatalogWithVariants, BigCommerceGRAPHQLProduct, BigCommerceRESTCatalogFields, };
