"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createBigCommerceInventoryHelper = exports.createShopifyInventoryHelper = void 0;
const inventory_1 = require("../inventory");
const shopify_1 = require("./shopify");
const big_commerce_1 = require("./big-commerce");
const createInventoryHelper = (PlatformHelper) => (config) => {
    return new inventory_1.Inventory({
        platform: new PlatformHelper(config),
    });
};
const createShopifyInventoryHelper = createInventoryHelper(shopify_1.ShopifyInventoryHelper);
exports.createShopifyInventoryHelper = createShopifyInventoryHelper;
const createBigCommerceInventoryHelper = createInventoryHelper(big_commerce_1.BigCommerceInventoryHelper);
exports.createBigCommerceInventoryHelper = createBigCommerceInventoryHelper;
