import { ProductType } from '../../../types';
import { PlatformInventoryHelper, ItemId, InventoryHelperConfig } from '../../types';
import { ShopifyInventory } from './types';
import { ProductInventory } from '../types';
declare class ShopifyInventoryHelper implements PlatformInventoryHelper {
    private readonly client;
    private readonly inventory;
    private readonly defaultProductType;
    constructor(config: InventoryHelperConfig);
    private readonly getStorefrontIdsMap;
    private getProductFromInventory;
    private readonly modifyInventoryResponse;
    private getItemIdInPlatformSpecificFormat;
    private fetchProductsChunkInventory;
    fetchProductsInventory(itemIds: ItemId[], productType?: ProductType): Promise<ShopifyInventory>;
    isProductAvailableForSale(itemId: ItemId, productType?: ProductType): Promise<ProductInventory['availableForSale']>;
    getProductMinOrder(itemId: ItemId, productType?: ProductType): Promise<ProductInventory['maxOrder']>;
    getProductMaxOrder(itemId: ItemId, productType?: ProductType): Promise<ProductInventory['maxOrder']>;
    getProductQuantity(itemId: ItemId, productType?: ProductType): Promise<ProductInventory['quantity']>;
    getProductPrice(itemId: ItemId, productType?: ProductType): Promise<ProductInventory['price']>;
}
export { ShopifyInventoryHelper };
