"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getProductsInventoryDataQuery = void 0;
const gql_1 = require("../../../utils/gql");
const getProductsInventoryDataQuery = gql_1.gql `
    query getProductInventoryData($ids: [ID!]!) {
        nodes(ids: $ids) {
            ... on Product {
                id
                availableForSale
                quantityAvailable: totalInventory
            }
            ... on ProductVariant {
                id
                availableForSale
                quantityAvailable
                price
            }
        }
    }
`;
exports.getProductsInventoryDataQuery = getProductsInventoryDataQuery;
