import { ProductInventory } from '../types';
declare type ShopifyInventory = Record<string, ProductInventory>;
declare type CMSInventoryItem = Record<string, {
    minOrder?: number;
    maxOrder?: number;
}>;
declare type CMSInventory = {
    products?: CMSInventoryItem;
    productVariants?: CMSInventoryItem;
};
declare type InventoryNode = {
    id: string;
    availableForSale: boolean;
    quantityAvailable: number;
    price: number;
} | null;
declare type ShopifyInventoryResponse = {
    nodes: InventoryNode[];
};
export { CMSInventory, CMSInventoryItem, ShopifyInventory, ShopifyInventoryResponse };
