"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateIds = exports.isNumber = exports.isString = exports.isArray = void 0;
function isArray(array) {
    return Array.isArray(array) && Boolean(array.length);
}
exports.isArray = isArray;
function isString(string) {
    return typeof string === 'string' && Boolean(string);
}
exports.isString = isString;
function isNumber(number) {
    return typeof number === 'number' && number > 0;
}
exports.isNumber = isNumber;
function validateIds(ids) {
    if (!isArray(ids))
        throw new Error('Ids must be an array');
    const isValidIds = ids.every((id) => isString(id) || isNumber(id));
    if (!isValidIds)
        throw new Error('Ids must be an array of strings or numbers');
}
exports.validateIds = validateIds;
