"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isShopifyStoreConfig = exports.isProductType = void 0;
const productTypes = ['Product', 'ProductVariant'];
const isPropertyIn = (instance, property) => property in instance;
const arePropertiesIn = (instance, properties) => properties.every((property) => isPropertyIn(instance, property));
const isShopifyStoreConfig = (config) => arePropertiesIn(config, ['storeDomain', 'storeToken', 'storePlatformDomain']);
exports.isShopifyStoreConfig = isShopifyStoreConfig;
const isProductType = (productType) => typeof productType === 'string' && productTypes.includes(productType);
exports.isProductType = isProductType;
