"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckoutError = void 0;
class CheckoutError extends Error {
    constructor(message, originalError, name = 'CheckoutError') {
        const errorMessage = `${message} ${originalError instanceof Error ? originalError.message : ''}`;
        super(errorMessage);
        // https://www.typescriptlang.org/docs/handbook/release-notes/typescript-2-2.html#support-for-newtarget
        Object.setPrototypeOf(this, new.target.prototype); // restore prototype chain
        // eslint-disable-next-line unicorn/custom-error-definition
        this.name = name;
        if (originalError instanceof Error) {
            this.stack = originalError.stack;
        }
        else {
            Error.captureStackTrace(this);
        }
    }
}
exports.CheckoutError = CheckoutError;
