"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPlatformSpecificItemId = void 0;
// TODO: Maybe refactor this to platform helpers
const id_helpers_1 = require("../checkout-sdk/platforms/shopify/utils/id-helpers");
function getItemIdInShopifyFormat(itemId, productType) {
    if (id_helpers_1.isStorefrontId(itemId))
        return itemId;
    return {
        Product: id_helpers_1.mapItemIdToProductStorefrontId(itemId),
        ProductVariant: id_helpers_1.mapItemIdToProductVariantStorefrontId(itemId),
    }[productType];
}
function getItemIdInBigCommerceFormat(itemId) {
    if (typeof itemId === 'number')
        return itemId;
    const asNumber = Number(itemId);
    if (!isNaN(asNumber))
        throw new Error('itemId is not type of number and cannot be converted to a number');
    return asNumber;
}
const platforms = {
    shopify: getItemIdInShopifyFormat,
    big_commerce: getItemIdInBigCommerceFormat,
};
const getPlatformSpecificItemId = (platform, itemId, productType = 'Product') => platforms[platform](itemId, productType);
exports.getPlatformSpecificItemId = getPlatformSpecificItemId;
