"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.gql = void 0;
const getOpname = /(query|mutation) ?([\w\d-_]+)? ?\(.*?\)? \{/;
// Based on https://github.com/choojs/nanographql
function gql(input, ...placeholders) {
    const str = Array.isArray(input) ? [...input, ...placeholders].join('') : input;
    const name = getOpname.exec(str);
    return (variables) => {
        const data = { query: str };
        if (variables)
            data.variables = variables;
        if (name && name.length) {
            const operationName = name[2];
            if (operationName)
                data.operationName = name[2];
        }
        return JSON.stringify(data);
    };
}
exports.gql = gql;
