"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reporter = void 0;
const reporters = {
    development: {
        log: console.log,
        error: console.error,
    },
    production: {
        // eslint-disable-next-line @typescript-eslint/no-unused-vars
        log: (_error, _errorInfo) => {
            /* noop */
        },
        // eslint-disable-next-line @typescript-eslint/no-unused-vars
        error: (_error, _errorInfo) => {
            /* noop */
        },
    },
    test: {
        log: console.log,
        error: console.error,
    },
};
const reporter = reporters[process.env.NODE_ENV || 'development'];
exports.reporter = reporter;
